{*******************************************************}
{                                                       }
{       nrCommLib Communication Library for Delphi      }
{       Components registration (VCL)                   }
{       Copyright (c) 1997-2011 Roman Novgorodov        }
{       v9.27                                           }
{       last update: 12 Oct 2009                        }
{                                                       }
{       e-mail:noro@deepsoftware.com                    }
{       DeepSoftware                                    }
{       http://www.deepsoftware.com/                    }
{                                                       }
{*******************************************************}
{$I nrcommlib.inc}
unit nrcommlibreg;
interface
uses Controls,nrcomm,nrclasses,nrterminal,
     {$IFNDEF LINUX}
     nrcommtapi,nrwave,nrspeech,nrlpt,nrusb,
     {$IFDEF NRPRO}
     nrusbpipe, nrusbdriver, nrusbdrvx32, nrusbdrvx64, nrusbdrvi64,
     nrhid, nrkermit, nrgps,
     {$ENDIF}
     nrgsm, nrbt,
     {$ENDIF}
     nrsemaphore, nrzmodem, nrdataproc, nrcommbox,
     nrlogfile, nrbarcode;

procedure Register;

implementation
Uses Classes;

{$R nrcommlib.dcr}

procedure Register;
begin
  RegisterComponents('nrComm', [TnrComm,
    TnrCommTAPI,{TnrFax,TnrCAPI}TnrLPT,TnrBT,TnrGsm,
    TnrBarCodeScan, TnrTerminal,
    TnrZModem, TnrDataProcessor, TnrSemaphore, TnrDeviceBox,
    TnrWave, TnrSpeech, TnrUSB,
    {$IFDEF NRPRO}
    TnrUSBPipePair, TnrUsbDriver, TnrUsbDriver32bit, TnrUsbDriver64bit, TnrUsbDriverIA64bit,
    TnrHID, TnrKermit, TnrGps,
    {$ENDIF}
    TnrLogFile
    ]);
end;

{$IFDEF GEN6}
initialization
  StartClassGroup(TControl);
  ActivateClassGroup(TControl);
  GroupDescendentsWith(TnrComm, TControl);
  GroupDescendentsWith(TnrCustomComm, TControl);
  GroupDescendentsWith(TnrBaseIO, TControl);
  GroupDescendentsWith(TnrCustomSerialComm, TControl);
  GroupDescendentsWith(TnrCustomDataProcessor, TControl);
  GroupDescendentsWith(TnrTerminal, TControl);
  GroupDescendentsWith(TnrCustomLogFile, TControl);
  {$IFNDEF LINUX}
  GroupDescendentsWith(TnrCommTAPI, TControl);
  GroupDescendentsWith(TnrLPT, TControl);
//  GroupDescendentsWith(TnrCapi, TControl);
  GroupDescendentsWith(TnrWave, TControl);
  GroupDescendentsWith(TnrSpeech, TControl);
  {$IFDEF NRLPT}
//  GroupDescendentsWith(TnrUSB, TControl);
  {$ENDIF}
  {$ENDIF}
  GroupDescendentsWith(TnrZModem, TControl);
  GroupDescendentsWith(TnrSemaphore, TControl);
  GroupDescendentsWith(TnrBarCodeScan, TControl);
  GroupDescendentsWith(TnrDeviceBox, TControl);
  GroupDescendentsWith(TnrLogFile, TControl);
{$ENDIF}

end.
